Bug 157316 - [patch] update devstat(9) man page
Summary: [patch] update devstat(9) man page
Status: Open
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2011-05-25 13:50 UTC by Roman Bogorodskiy
Modified: 2019-04-04 18:56 UTC (History)
4 users (show)

See Also:


Attachments
devstat_9.diff (5.67 KB, patch)
2011-05-25 13:50 UTC, Roman Bogorodskiy
no flags Details | Diff
devstat.9.diff (7.33 KB, patch)
2011-05-25 14:04 UTC, pluknet
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Bogorodskiy freebsd_committer 2011-05-25 13:50:09 UTC
	devstat(9) manual page is out of date: it mentions devstat_add_entry()
        which was deprecated long around (in 5.x times IIRC) and now it's not
        even defined in sys/devicestat.h.

	I made some changes to devstat(9) manual page:

         * replaced devstat_add_entry with devstat_new_entry
         * fixed other function prototypes
         * added documentation for devstat_start_transaction_bio()
         * synced MLINKS with currently available functions
         * Removed some fields from 'struct devstat' description

        Note: 'struct devstat' description in manual page now
        misses a number of fields defined in the original struct. I don't
        have enough devstat(9) subsystem knowledge to provide a
        meaningful description for those fields.
Comment 1 pluknet 2011-05-25 14:04:15 UTC
Hi, it so happened that I have pending changes to devstat(9) too :)
waiting for someone's review (attached). Let it be there as well.

-- 
wbr,
pluknet
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2012-05-06 21:18:11 UTC
Responsible Changed
From-To: freebsd-doc->eadler

I'll take it.
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2012-09-02 04:09:06 UTC
Responsible Changed
From-To: eadler->freebsd-doc

I won't be looking at this PR for a while and I need to clear some out 
of my queue
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:00:46 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped
Comment 5 darius 2019-03-20 06:05:10 UTC
*bump*
Would be nice if this were committed since I just got confused by the very out of date man page today..